<link href='https://fonts.googleapis.com/css?family=Muli' rel='stylesheet'>

<style>


table {
    font-family: 'Muli';
    font-size: 22px;
    @font-weight: 800;
}
</style>

  <?php
$usuario = $_COOKIE["usuario"];
$nivel = $_COOKIE["nivel"];
if($nivel=="Master"){$usuario="";}
$fecha1 = $_GET["fecha1"];
$fecha2 = $_GET["fecha2"];

	include_once("../header.php");
        include_once("../php/config.php");

        $sql = mysql_query("select * from ingresos where   cliente like '%".$_GET['filtro']."%' and fecha='$hoy' order by cliente asc") or die(mysql_error());

	?>

<style>
  .form-control{
    font-size: 20px;
  }


b{
    font-size: 18px;
  }

  th{
    font-size:18px;
    text-align: left;
  }

    td{
    font-size:13px;
  }
</style>
    <div class="container">
<span class="text-primary h3"><i class="bi bi-calendar-check wstext h3"></i> Ingresos por pagos</span>
<hr>
        
		<div class="row">
			<div class="col-md-12">

  <div class="row">
    

 <div class="col-md-3 mb-2  mt-2">
   <input type="search" id="txt_buscar" class="form-control" value="<?php echo $_GET['filtro']?>">
 </div>
  <div class="col-md-1 mb-2  mt-2">
        <a class="btn btn-default mb-2  ml-2" href="#" onClick="filtrar()"><i class="bi bi-search"></i> Filtrar</a>

 </div>
 </div>    
 <script>
   function filtrar(){
    var t = $("#txt_buscar").val();
    window.location.href="ingresos_hoy.php?filtro="+t;
   }
 </script> 

				<div class="table-responsive borddfer p-3">
					<table class="table table-hover table-striped" data-page-length='8' style="width: 100%">
						

							<th># pago</th>
							<th>Fecha</th>
              <th>Nombre cliente</th>
              <th>Monto pagado</th>
              <th>Proximo pago</th>
              <th>Tipo</th>
              <th>Opcion</th>
						
						<tbody>
            <?php while($r=mysql_fetch_array($sql)){
              $id = $r["id"];
              $c++;
              $total+=$r["monto"];
              
              
              ?>
							<tr>
				<td><?php echo $r["id"]?></b></td>
                <td><span class="text-primary"><?php echo fecha($r["fecha"])?></span></td>
								<td><i class="bi bi-stickies-fill"></i> <?php echo substr($r["cliente"],0,20)?>
               <td><?php echo @decimal($r["monto"])?> </td>       
                </td>
                 <td><?php echo fecha($r["proximo_pago"])?></td>
                <td><?php echo ($r["tipo"])?></td>
               
       
			<td><?php if($_COOKIE["nivel"]=="Master"){?><a class="text-primary" href="ver_pago.php?id=<?php echo $id?>"><i class="bi bi-pencil-fill"></i> Ver</a><?php }?></td>
							</tr>
                                                        <?php }?>
						</tbody>
            <tfoot>
              <br>
              <th>
                Cant. inscripciones: <?php echo $c?>
              </th>
              <th class="text-success">
                Total: <?php echo decimal($total)?>
              </th>

          
            </tfoot>
					</table>
				</div>

		
        </div>
      </div>
      


          
</div>
    </div>

	

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_producto="";
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from productos where id_producto='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_producto= rs.data[i].id_producto;             
                    $("#nombre").val(rs.data[i].descripcion);
                    $("#codigo").val(rs.data[i].codigo);
                    
                    $("#id").val(rs.data[i].id_producto);
                    $("#precio").val(rs.data[i].precio);
                    $("#costo").val(rs.data[i].costo);
                    $("#stock").val(rs.data[i].stock);
                    $("#proveedor option[value='"+rs.data[i].proveedor+"']").prop('selected', true);
                }
                
            })
        }
  
  function grabar_producto(){
     if(!confirm("Seguro(a) que desea registrar este producto?")){return;}                   
    
     var nombre = $("#nombre").val();
     var codigo = $("#codigo").val();
     var precio = $("#precio").val();
     var costo = $("#costo").val();
     var stock = $("#stock").val();
     var proveedor = $("#proveedor").val();




     if(nombre=="" || codigo==""){alert('Faltan datos'); return}
    var sql="";                            
        if(id_producto==""){
            sql="INSERT INTO productos set ";
            sql+="descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'"; 
            sql+=", proveedor='"+proveedor+"'"; 
            sql+=", stock='"+stock+"'"; 

        }else{
            sql="UPDATE productos set";
            sql+=" descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'"; 
            sql+=", proveedor='"+proveedor+"'"; 
            sql+=", stock='"+stock+"'"; 
            sql+=" WHERE id_producto='"+id_producto+"'";
           
            
        }
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $("#modalProducto").modal('hide');
        setTimeout(function(){window.location.reload()},2000)

      }else{
          alert(data);
          
      }
       
    })
}
  

 function borrar(){
  
     if(id_producto==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from productos where id_producto='"+id_producto+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}




function reimprimir(f){
  var impresion = localStorage.getItem("impresion");

        if(impresion=="" || impresion==null){
          impresion = "POS";

        }
        if(impresion=="POS"){
          window.location.href="ticket_factura.php?folio="+f
        }else{
          window.location.href="ticket_factura_carta2.php?folio="+f
        }

   //window.open('ticket_factura_carta2.php?folio='+f, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=700,height=800'

}


function ver(id_venta){
  window.location.href="facturacion.php?id_venta="+id_venta;
}
$("table").DataTable({
   "language": {
            "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
        }
});


    function nueva(){

    window.location.href="_nueva_venta.php?caja="+myCaja+"&usuario="+myUser;
   }     
     </script>

